Subject: Re: linux-next: build warnings after merge of the jc_docs tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Wed, 12 Feb 2025 22:05:34 +0100

Em Wed, 12 Feb 2025 08:09:22 -0700
Jonathan Corbet <[email-masked]> escreveu:

> Stephen Rothwell <[email-masked]> writes:
> 
> > Hi all,
> >
> > After merging the jc_docs tree, today's linux-next build (htmldocs)
> > produced these warnings:
> >
> > WARNING: /sys/devices/system/cpu/cpuX/topology/physical_package_id is defined 2 times: Documentation/ABI/stable/sysfs-devices-system-cpu:27; Documentation/ABI/testing/sysfs-devices-system-cpu:70
> > WARNING: /sys/devices/system/cpu/cpuX/topology/ppin is defined 2 times: Documentation/ABI/stable/sysfs-devices-system-cpu:89; Documentation/ABI/testing/sysfs-devices-system-cpu:70
> >
> > I am not sure what introduced these warnings, but I am guessing Mauro's
> > changes have exposed them - the two Documentation files above have not
> > changed since my last build.  
> 
> Exactly - the situation has been there for who knows how long, it's just
> that we're hearing about it now.

Yes, this issue wave been there already for a long time, but, as we
were checking each part of ABI files in separate, there was no way to
detect in the past.

With the recent changes, all ABI symbols are parsed altogether. So,
symbol duplication on different parts of ABI (in this specific case
stable and testing) are now detected.

I wrote already a patch fixing it as part of my original RFC:

https://lore.kernel.org/linux-doc/673e95[email-masked]/

It ended that I placed it on a bucket of patches to be sent later on.

I'm re-sending it right now as a normal patch.

Thanks,
Mauro